<template>
	<view :style="{ 'background': themeStore.theme.bgColor }">
		<EarnV2 v-if="appStore.useEarnV2" />
		<EarnOld v-else />
		<empty-hold height="170" />
		<custom-tabbar :selected="3" />
	</view>
</template>

<script setup>
import { onMounted } from 'vue'
import EarnOld from './components/EarnOld.vue'
import EarnV2 from './components/EarnV2.vue'
import EarnV3 from './components/EarnV3.vue'
import { useAppStore } from '@/store/useAppStore'
import { useThemeStore } from '@/store/useThemeStore'

const appStore = useAppStore();
const themeStore = useThemeStore()
console.log('appStore.earnV2TabIndex', appStore.earnV2TabIndex);


onMounted(() => {
	uni.hideTabBar();
})
</script>

<style lang="scss" scoped>

</style>
